﻿
namespace SessionHunter.Business.SessionReading
{
    /// <summary>
    /// If we have a TargetInvocationException during deserialization, we can still get the type and return it to the application
    /// </summary>
    public class TargetInvocationWrapper
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetInvocationWrapper"/> class.
        /// </summary>
        /// <param name="variableType">Type of the session variable.</param>
        public TargetInvocationWrapper(string variableType)
        {
            VariableType = variableType;
        }

        /// <summary>
        /// The string equivalent of the type of the session variable
        /// </summary>
        public string VariableType;
    }
}
