﻿using SessionHunter.DataAccess;

namespace SessionHunter.Messages
{
    /// <summary>
    /// Used to communicate to a caller that an application option has changed
    /// and what the new values are
    /// </summary>
    public class ApplicationOptionsChangedMessage
    {
        /// <summary>
        /// The new settings after they have been saved
        /// </summary>
        public ApplicationOptions NewSettings;
    }
}
