﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Collections.Specialized;

namespace SessionHunter.Business.SessionReading
{
    /// <summary>
    /// This is a copy of ISessionStateItemCollection from System.Web.SessionState.  It is here so that
    /// we can not use the System.Web namespace, allowing us to use the .Net Client Profile
    /// </summary>
    public interface ISessionStateItemCollection : ICollection, IEnumerable
    {
        #pragma warning disable 1591
        ///methods
        void Clear();
        void Remove(string itemName);
        void RemoveAt(int index);

        ///properties
        bool Dirty { get; set; }
        object this[int index] { get; set; }
        object this[string name] { get; set; }
        NameObjectCollectionBase.KeysCollection Keys { get; }
        #pragma warning restore 1591
    }
}
