﻿using SessionHunter.Utilities;

namespace SessionHunter.UnitTests
{
    /// <summary>
    /// All unit test fixtures should inherit from this.  It provides some base functionality for
    /// all unit tests.
    /// </summary>
    public abstract class TestBase
    {
        protected static NLog.Logger logger = NLog.LogManager.GetCurrentClassLogger();

        public TestBase()
        {
            Helper.IsUnitTest = true;
        }
    }
}
